Gatana logoGatana Docs
RoutesUsersUserid

/users/{userId}

Get one user by ID

GET
/users/{userId}
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

ID of the user

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/users/string"
{
  "user": {
    "id": "string",
    "tenantId": "string",
    "name": "string",
    "email": "[email protected]",
    "role": "member",
    "isSuperAdministrator": true,
    "isDisabled": true,
    "isServiceAccount": true,
    "isInvited": true,
    "profileIds": [
      {
        "tenantId": "string",
        "userId": "string",
        "profileId": "string",
        "isLockedByOrgOwner": true,
        "createdAt": "string",
        "updatedAt": "string"
      }
    ],
    "isScimManaged": true,
    "scimExternalId": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}